from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.drawing import XDrawPages

@runtime_checkable
class XDrawPages2(XDrawPages, Protocol):
    def insertNamedNewByIndex(self, nIndex: int, sName: str) -> XDrawPage: ...
